Description

- Añado un CSV (documento tabla). Adjunto el CSV
- Lanzo la herramienta de Añadir capa de eventos. 
- Selecciono la tabla y al mostrar la ventana donde seleccionar campo para la X y campo para la Y, no se despliegan las columnas
que tiene el CSV

Comprobado con DBF funciona correctamente

Associated revisions
Revision 41059 - 01/20/2014 05:38 PM - Joaquín  del Cerro Murciano

Arregla:
- Poder especificar el tamaño de los campos en el parametro "fieldTypes" 
- Calcular correctamente el envelope de la capa cuando se especifica el parametro "point" 
- Calcular un tamaño de campo para los valores de cadena cuando no se especifica
  en el parametro "fieldTypes" en funcion del tamaño maximo de los valores de cada columna.
  refs  #2208

Revision 41062 - 01/21/2014 06:24 AM - Joaquín  del Cerro Murciano

Añadido un parametro para autodetectar los tipos de datos en el CSV.
Por defecto esta a "true", autodeteccion activada. Es lento, ya que se recorre el CSV para averiguar los
tipos de datos. El usuario puede desactivarlo desde la pestaña de avanzado en propiedades.
Solo gestiona los tipos:
- integer
- float
- double
- long
- url
- date (no tengo claro que hara con el formato, supongo que solo detectara para algun formato en concreto)

Lo que habria que decidir es si por defecto lo dejamos activo o no (por el coste que pueda tener en CSVs grandes).

refs  #2208
Revision 41064 - 01/21/2014 07:49 AM - Joaquín  del Cerro Murciano

Corregido el orden de asignacion de tipos a los campos y hecho que el provider anuncie que no tiene soporte de escritura.
refs #2208

History
#1 - 01/20/2014 11:45 PM - Joaquín  del Cerro Murciano

Por equivocacion he enlazado el commit con este ticket en lugar de con el que tocaba.

#2 - 01/20/2014 11:54 PM - Joaquín  del Cerro Murciano

Probablemente el problema se deba a que la capa de eventos espera encontrar columnas de tipo double o float y por defecto los datos de un CSV
son de tipo string.

Si el usuario, al cargar el CSV, indica los tipos de las columnas en el parametro fieldTypes probablemente funcione correctamente la capa de
eventos.

Ademas ya no es necesario usar una capa de eventos para cargar un CSV como una capa, ya que podemos indicar como parametro del CSV que
columnas tienen las coordenadas que forman la geometria (parametro point).

#3 - 01/21/2014 08:43 AM - Álvaro Anguix
- Status changed from New to Invalid

He hecho una prueba con lo que comenta Joaquín.
Añado el CSV como tabla, y en propiedades indico en el fieldtype para el CSV adjunto: integer, double, double, double, integer
Me añada la capa correctamente y ya se puede añadir como capa de eventos.
El resultado es correcto.
El error de desplegar las columnas X e Y realmente no era tal, ya que las interpretaba como string.

No es muy intuitivo para un usuario medio, pero funcionar, funciona. Habría que documentarlo bien en el manual.
Y a futuro podemos pensar en mejorar la usabilidad de esto para el usuario, aunque como bug en mi opinión se puede cerrar (le cambio estado a
Invalid ya que realmente no era un bug, si no un mal uso de la carga de CSV).

#4 - 01/21/2014 12:26 PM - Joaquín  del Cerro Murciano

Alvaro, he añadido una opcion para la deteccion automatica de los tipos, que por defecto esta activada.

#5 - 01/21/2014 09:36 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2219-testing to 2.1.0-2217-devel

Files
csv-idPunto_X_Y_Z_Descripcion.csv 19.4 KB 01/17/2014 Álvaro Anguix
